Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/ChangeLog	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -1,2 +1,14 @@
+2009-08-10	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* sp01/sp01.scn, sp01/task1.c, sp03/task1.c, sp03/task2.c,
+	sp04/task1.c, sp04/tswitch.c, sp09/screen02.c, sp09/screen13.c,
+	sp09/screen14.c, sp09/sp09.scn, sp11/sp11.scn, sp11/task1.c,
+	sp11/task2.c, sp19/fptask.c, sp19/sp19.scn, sp19/task1.c,
+	sp22/prtime.c, sp22/sp22.scn, sp22/task1.c, sp24/sp24.scn,
+	sp24/task1.c, sp30/task1.c, sp31/prtime.c, sp31/sp31.scn,
+	sp31/task1.c, spwatchdog/prtime.c, spwatchdog/spwatchdog.scn,
+	spwatchdog/task1.c: Convert calls to legacy routine rtems_clock_get(
+	RTEMS_CLOCK_GET_TOD, ..) to rtems_clock_get_tod(..).
+
 2009-08-07	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: testsuites/sptests/sp01/sp01.scn
===================================================================
--- testsuites/sptests/sp01/sp01.scn	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp01/sp01.scn	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -1,17 +1,17 @@
 *** TEST 1 ***
-TA1  - rtems_clock_get - 09:00:00   12/31/1988
-TA2  - rtems_clock_get - 09:00:00   12/31/1988
-TA3  - rtems_clock_get - 09:00:00   12/31/1988
-TA1  - rtems_clock_get - 09:00:05   12/31/1988
-TA2  - rtems_clock_get - 09:00:10   12/31/1988
-TA1  - rtems_clock_get - 09:00:10   12/31/1988
-TA3  - rtems_clock_get - 09:00:15   12/31/1988
-TA1  - rtems_clock_get - 09:00:15   12/31/1988
-TA2  - rtems_clock_get - 09:00:20   12/31/1988
-TA1  - rtems_clock_get - 09:00:20   12/31/1988
-TA1  - rtems_clock_get - 09:00:25   12/31/1988
-TA3  - rtems_clock_get - 09:00:30   12/31/1988
-TA2  - rtems_clock_get - 09:00:30   12/31/1988
-TA1  - rtems_clock_get - 09:00:30   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:00   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:00   12/31/1988
+TA3  - rtems_clock_get_tod - 09:00:00   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:05   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:10   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:10   12/31/1988
+TA3  - rtems_clock_get_tod - 09:00:15   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:15   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:20   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:20   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:25   12/31/1988
+TA3  - rtems_clock_get_tod - 09:00:30   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:30   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:30   12/31/1988
 *** END OF TEST 1 ***
 
Index: testsuites/sptests/sp01/task1.c
===================================================================
--- testsuites/sptests/sp01/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp01/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -41,6 +41,6 @@
 
   while( FOREVER ) {
-    status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-    directive_failed( status, "rtems_clock_get" );
+    status = rtems_clock_get_tod( &time );
+    directive_failed( status, "rtems_clock_get_tod" );
 
     if ( time.second >= 35 ) {
@@ -50,5 +50,5 @@
 
     put_name( Task_name[ task_number( tid ) ], FALSE );
-    print_time( " - rtems_clock_get - ", &time, "\n" );
+    print_time( " - rtems_clock_get_tod - ", &time, "\n" );
 
     status = rtems_task_wake_after( ticks );
Index: testsuites/sptests/sp03/task1.c
===================================================================
--- testsuites/sptests/sp03/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp03/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -37,6 +37,6 @@
 
   while( FOREVER ) {
-    status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-    directive_failed( status, "rtems_clock_get" );
+    status = rtems_clock_get_tod( &time );
+    directive_failed( status, "rtems_clock_get_tod" );
 
     put_name( Task_name[ 1 ], FALSE );
Index: testsuites/sptests/sp03/task2.c
===================================================================
--- testsuites/sptests/sp03/task2.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp03/task2.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -32,6 +32,6 @@
     directive_failed( status, "rtems_task_wake_after" );
 
-    status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-    directive_failed( status, "rtems_clock_get" );
+    status = rtems_clock_get_tod( &time );
+    directive_failed( status, "rtems_clock_get_tod" );
 
     if ( time.second >= 17 ) {
Index: testsuites/sptests/sp04/task1.c
===================================================================
--- testsuites/sptests/sp04/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp04/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -54,5 +54,5 @@
 
   status = rtems_clock_get( RTEMS_CLOCK_GET_SECONDS_SINCE_EPOCH, &start_time );
-  directive_failed( status, "rtems_clock_get" );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   puts( "TA1 - killing time" );
@@ -60,5 +60,5 @@
   for ( ; ; ) {
     status = rtems_clock_get( RTEMS_CLOCK_GET_SECONDS_SINCE_EPOCH, &end_time );
-    directive_failed( status, "rtems_clock_get" );
+    directive_failed( status, "rtems_clock_get_tod" );
 
     if ( end_time > (start_time + 2) )
@@ -85,12 +85,12 @@
       directive_failed( status, "rtems_task_mode" );
 
-      status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-      directive_failed( status, "rtems_clock_get" );
+      status = rtems_clock_get_tod( &time );
+      directive_failed( status, "rtems_clock_get_tod" );
 
       old_seconds = time.second;
 
       for ( seconds = 0 ; seconds < 6 ; ) {
-        status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-        directive_failed( status, "rtems_clock_get" );
+        status = rtems_clock_get_tod( &time );
+        directive_failed( status, "rtems_clock_get_tod" );
 
         if ( time.second != old_seconds ) {
Index: testsuites/sptests/sp04/tswitch.c
===================================================================
--- testsuites/sptests/sp04/tswitch.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp04/tswitch.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -48,6 +48,6 @@
       Run_count[ index ] += 1;
 
-      status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-      directive_failed_with_level( status, "rtems_clock_get", 1 );
+      status = rtems_clock_get_tod( &time );
+      directive_failed_with_level( status, "rtems_clock_get_tod", 1 );
 
       if (taskSwitchLogIndex < (sizeof taskSwitchLog / sizeof taskSwitchLog[0])) {
Index: testsuites/sptests/sp09/screen02.c
===================================================================
--- testsuites/sptests/sp09/screen02.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp09/screen02.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -28,16 +28,17 @@
 /* errors before clock is set */
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  if ( status == RTEMS_SUCCESSFUL ) {
-    puts(
-     "TA1 - rtems_clock_get - RTEMS_NOT_DEFINED -- DID BSP SET THE TIME OF DAY?"
-    );
-  } else {
-    fatal_directive_status(
-      status,
-      RTEMS_NOT_DEFINED,
-      "rtems_clock_get before clock is set #1"
-    );
-    puts( "TA1 - rtems_clock_get - TOD - RTEMS_NOT_DEFINED" );
+  status = rtems_clock_get_tod( &time );
+  if ( status == RTEMS_SUCCESSFUL ) {
+    puts(
+     "TA1 - rtems_clock_get_tod - RTEMS_NOT_DEFINED -- "
+         "DID BSP SET THE TIME OF DAY?"
+    );
+  } else {
+    fatal_directive_status(
+      status,
+      RTEMS_NOT_DEFINED,
+      "rtems_clock_get_tod before clock is set #1"
+    );
+    puts( "TA1 - rtems_clock_get_tod - TOD - RTEMS_NOT_DEFINED" );
   }
 
@@ -82,5 +83,6 @@
   if ( status == RTEMS_SUCCESSFUL ) {
     puts(
-"TA1 - rtems_task_wake_when - RTEMS_NOT_DEFINED -- DID BSP SET THE TIME OF DAY?"
+     "TA1 - rtems_clock_get - RTEMS_NOT_DEFINED -- "
+         "DID BSP SET THE TIME OF DAY?"
     );
   } else {
@@ -216,5 +218,5 @@
   puts( " - RTEMS_INVALID_CLOCK" );
 
-  rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
+  rtems_clock_get_tod( &time );
   print_time( "TA1 - current time - ", &time, "\n" );
 
Index: testsuites/sptests/sp09/screen13.c
===================================================================
--- testsuites/sptests/sp09/screen13.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp09/screen13.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -72,7 +72,7 @@
   print_time( "TA1 - rtems_clock_set - ", &time, " - RTEMS_SUCCESSFUL\n" );
   status = rtems_task_wake_after( 1 * TICKS_PER_SECOND );
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
+  status = rtems_clock_get_tod( &time );
   directive_failed( status, "rtems_clock_set" );
-  print_time( "TA1 - rtems_clock_get - ", &time, " - RTEMS_SUCCESSFUL\n" );
+  print_time( "TA1 - rtems_clock_get_tod - ", &time, " - RTEMS_SUCCESSFUL\n" );
 
   build_time( &time, 12, 31, 1999, 23, 59, 59, 0 );
@@ -81,5 +81,5 @@
   print_time( "TA1 - rtems_clock_set - ", &time, " - RTEMS_SUCCESSFUL\n" );
   status = rtems_task_wake_after( 1 * TICKS_PER_SECOND );
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
+  status = rtems_clock_get_tod( &time );
   directive_failed( status, "rtems_clock_set" );
   print_time( "TA1 - rtems_clock_get - ", &time, " - RTEMS_SUCCESSFUL\n" );
@@ -90,7 +90,7 @@
   print_time( "TA1 - rtems_clock_set - ", &time, " - RTEMS_SUCCESSFUL\n" );
   status = rtems_task_wake_after( 1 * TICKS_PER_SECOND );
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
+  status = rtems_clock_get_tod( &time );
   directive_failed( status, "rtems_clock_set" );
-  print_time( "TA1 - rtems_clock_get - ", &time, " - RTEMS_SUCCESSFUL\n" );
+  print_time( "TA1 - rtems_clock_get_tod - ", &time, " - RTEMS_SUCCESSFUL\n" );
 
   build_time( &time, 12, 31, 2099, 23, 59, 59, 0 );
@@ -99,7 +99,7 @@
   print_time( "TA1 - rtems_clock_set - ", &time, " - RTEMS_SUCCESSFUL\n" );
   status = rtems_task_wake_after( 1 * TICKS_PER_SECOND );
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
+  status = rtems_clock_get_tod( &time );
   directive_failed( status, "rtems_clock_set" );
-  print_time( "TA1 - rtems_clock_get - ", &time, " - RTEMS_SUCCESSFUL\n" );
+  print_time( "TA1 - rtems_clock_get_tod - ", &time, " - RTEMS_SUCCESSFUL\n" );
 
   build_time( &time, 12, 31, 1991, 23, 59, 59, 0 );
@@ -108,6 +108,6 @@
   print_time( "TA1 - rtems_clock_set - ", &time, " - RTEMS_SUCCESSFUL\n" );
   status = rtems_task_wake_after( 1 * TICKS_PER_SECOND );
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
+  status = rtems_clock_get_tod( &time );
   directive_failed( status, "rtems_clock_set" );
-  print_time( "TA1 - rtems_clock_get - ", &time, " - RTEMS_SUCCESSFUL\n" );
+  print_time( "TA1 - rtems_clock_get_tod - ", &time, " - RTEMS_SUCCESSFUL\n" );
 }
Index: testsuites/sptests/sp09/screen14.c
===================================================================
--- testsuites/sptests/sp09/screen14.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp09/screen14.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -142,7 +142,7 @@
   );
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
-  print_time( "TA1 - rtems_clock_get       - ", &time, "\n" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
+  print_time( "TA1 - rtems_clock_get_tod       - ", &time, "\n" );
 
   build_time( &time, 2, 5, 1990, 8, 30, 45, 0 );
@@ -267,10 +267,11 @@
   );
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
-  print_time( "TA1 - rtems_clock_get       - ", &time, "\n" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
+  print_time( "TA1 - rtems_clock_get_tod       - ", &time, "\n" );
 
   build_time( &time, 2, 5, 1990, 8, 30, 45, 0 );
-  status = rtems_timer_server_fire_when( Timer_id[ 1 ], &time, Delayed_routine, NULL );
+  status = rtems_timer_server_fire_when(
+    Timer_id[ 1 ], &time, Delayed_routine, NULL );
   fatal_directive_status(
     status,
Index: testsuites/sptests/sp09/sp09.scn
===================================================================
--- testsuites/sptests/sp09/sp09.scn	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp09/sp09.scn	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -23,8 +23,8 @@
 TA1 - rtems_task_suspend - RTEMS_INVALID_ID
 <pause - screen 2>
-TA1 - rtems_clock_get - TOD - RTEMS_NOT_DEFINED
-TA1 - rtems_clock_get - SECONDS SINCE EPOCH - RTEMS_NOT_DEFINED
-TA1 - rtems_clock_get - TIME VALUE - RTEMS_NOT_DEFINED
-TA1 - rtems_clock_get - RTEMS_INVALID_NUMBER
+TA1 - rtems_clock_get_tod - TOD - RTEMS_NOT_DEFINED
+TA1 - rtems_clock_get_tod - SECONDS SINCE EPOCH - RTEMS_NOT_DEFINED
+TA1 - rtems_clock_get_tod - TIME VALUE - RTEMS_NOT_DEFINED
+TA1 - rtems_clock_get_tod - RTEMS_INVALID_NUMBER
 TA1 - rtems_task_wake_when - RTEMS_NOT_DEFINED
 TA1 - rtems_timer_fire_when - RTEMS_NOT_DEFINED
@@ -257,13 +257,13 @@
 TA1 - rtems_io_write - RTEMS_INVALID_NUMBER
 TA1 - rtems_clock_set - 23:59:59   12/31/2000 - RTEMS_SUCCESSFUL
-TA1 - rtems_clock_get - 00:00:00   01/01/2001 - RTEMS_SUCCESSFUL
+TA1 - rtems_clock_get_tod - 00:00:00   01/01/2001 - RTEMS_SUCCESSFUL
 TA1 - rtems_clock_set - 23:59:59   12/31/1999 - RTEMS_SUCCESSFUL
-TA1 - rtems_clock_get - 00:00:00   01/01/2000 - RTEMS_SUCCESSFUL
+TA1 - rtems_clock_get_tod - 00:00:00   01/01/2000 - RTEMS_SUCCESSFUL
 TA1 - rtems_clock_set - 23:59:59   12/31/2100 - RTEMS_SUCCESSFUL
-TA1 - rtems_clock_get - 17:31:44   11/25/1964 - RTEMS_SUCCESSFUL
+TA1 - rtems_clock_get_tod - 17:31:44   11/25/1964 - RTEMS_SUCCESSFUL
 TA1 - rtems_clock_set - 23:59:59   12/31/2099 - RTEMS_SUCCESSFUL
-TA1 - rtems_clock_get - 17:31:44   11/25/1963 - RTEMS_SUCCESSFUL
+TA1 - rtems_clock_get_tod - 17:31:44   11/25/1963 - RTEMS_SUCCESSFUL
 TA1 - rtems_clock_set - 23:59:59   12/31/1991 - RTEMS_SUCCESSFUL
-TA1 - rtems_clock_get - 00:00:00   01/01/1992 - RTEMS_SUCCESSFUL
+TA1 - rtems_clock_get_tod - 00:00:00   01/01/1992 - RTEMS_SUCCESSFUL
 <pause - screen 14>
 TA1 - rtems_timer_create - RTEMS_INVALID_NAME
@@ -280,5 +280,5 @@
 TA1 - rtems_timer_fire_after - RTEMS_INVALID_NUMBER
 TA1 - rtems_timer_fire_when - 08:30:45   02/05/1987 - RTEMS_INVALID_CLOCK
-TA1 - rtems_clock_get       - 00:00:00   01/01/1992
+TA1 - rtems_clock_get_tod       - 00:00:00   01/01/1992
 TA1 - rtems_timer_fire_when - 08:30:45   02/05/1990 - before RTEMS_INVALID_CLOCK
 TA1 - rtems_timer_get_information - RTEMS_INVALID_ID
@@ -292,5 +292,5 @@
 TA1 - rtems_timer_server_fire_after - RTEMS_INVALID_NUMBER
 TA1 - rtems_timer_server_fire_when - 08:30:45   02/05/1987 - RTEMS_INVALID_CLOCK
-TA1 - rtems_clock_get       - 00:00:00   01/01/1992
+TA1 - rtems_clock_get_tod       - 00:00:00   01/01/1992
 TA1 - rtems_timer_server_fire_when - 08:30:45   02/05/1990 - before RTEMS_INVALID_CLOCK
 *** END OF TEST 9 ***
Index: testsuites/sptests/sp11/sp11.scn
===================================================================
--- testsuites/sptests/sp11/sp11.scn	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp11/sp11.scn	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -16,10 +16,10 @@
 TA1 - RTEMS_EVENT_14 received - eventout => 00004000
 TA1 - rtems_event_send - send RTEMS_EVENT_19 to TA2
-TA1 - rtems_clock_get - 08:15:00   02/12/1988
+TA1 - rtems_clock_get_tod - 08:15:00   02/12/1988
 <pause>
 TA1 - rtems_event_send - send RTEMS_EVENT_18 to self after 5 seconds
 TA1 - rtems_event_receive - waiting forever on RTEMS_EVENT_18
 TA2 - RTEMS_EVENT_10 received - eventout => 00000400
-TA2 - rtems_clock_get - 08:15:05   02/12/1988
+TA2 - rtems_clock_get_tod - 08:15:05   02/12/1988
 TA2 - rtems_event_receive - RTEMS_PENDING_EVENTS
 TA2 - eventout => 00080000
@@ -28,5 +28,5 @@
 TA2 - rtems_task_delete - deletes self
 TA1 - RTEMS_EVENT_18 received - eventout => 00040000
-TA1 - rtems_clock_get - 08:15:05   02/12/1988
+TA1 - rtems_clock_get_tod - 08:15:05   02/12/1988
 TA1 - rtems_event_send - send RTEMS_EVENT_3 to self
 TA1 - rtems_event_receive - RTEMS_EVENT_3 or RTEMS_EVENT_22 - NO_WAIT and ANY
Index: testsuites/sptests/sp11/task1.c
===================================================================
--- testsuites/sptests/sp11/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp11/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -69,7 +69,7 @@
   directive_failed( status, "rtems_event_send" );
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
-  print_time( "TA1 - rtems_clock_get - ", &time, "\n" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
+  print_time( "TA1 - rtems_clock_get_tod - ", &time, "\n" );
 
 rtems_test_pause();
@@ -94,7 +94,7 @@
   printf( "TA1 - RTEMS_EVENT_18 received - eventout => %08x\n", eventout );
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "TA1 rtems_clock_get" );
-  print_time( "TA1 - rtems_clock_get - ", &time, "\n" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "TA1 rtems_clock_get_tod" );
+  print_time( "TA1 - rtems_clock_get_tod - ", &time, "\n" );
 
   puts( "TA1 - rtems_event_send - send RTEMS_EVENT_3 to self" );
@@ -205,6 +205,6 @@
     directive_failed( status, "rtems_event_receive" );
 
-    status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-    directive_failed( status, "rtems_clock_get" );
+    status = rtems_clock_get_tod( &time );
+    directive_failed( status, "rtems_clock_get_tod" );
 
     printf( "TA1 - RTEMS_EVENT_1 received - eventout => %08x - ", eventout );
Index: testsuites/sptests/sp11/task2.c
===================================================================
--- testsuites/sptests/sp11/task2.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp11/task2.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -94,9 +94,9 @@
   directive_failed( status, "rtems_event_receive" );
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   printf( "TA2 - RTEMS_EVENT_10 received - eventout => %08x\n", eventout );
-  print_time( "TA2 - rtems_clock_get - ", &time, "\n" );
+  print_time( "TA2 - rtems_clock_get_tod - ", &time, "\n" );
 
   puts( "TA2 - rtems_event_receive - RTEMS_PENDING_EVENTS" );
Index: testsuites/sptests/sp19/fptask.c
===================================================================
--- testsuites/sptests/sp19/fptask.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp19/fptask.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -57,6 +57,6 @@
   while( FOREVER ) {
 
-    status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-    directive_failed( status, "rtems_clock_get" );
+    status = rtems_clock_get_tod( &time );
+    directive_failed( status, "rtems_clock_get_tod" );
 
     if ( time.second >= 16 ) {
@@ -78,5 +78,5 @@
     {
       put_name( Task_name[ task_index ], FALSE );
-      print_time( " - rtems_clock_get - ", &time, "\n" );
+      print_time( " - rtems_clock_get_tod - ", &time, "\n" );
       previous_seconds = time.second;
     }
Index: testsuites/sptests/sp19/sp19.scn
===================================================================
--- testsuites/sptests/sp19/sp19.scn	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp19/sp19.scn	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -5,46 +5,46 @@
 FP1  - float base = (6000.6)
 TA1  - integer base = (0x1000)
-TA1  - rtems_clock_get - 09:00:00   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:00   12/31/1988
 TA2  - integer base = (0x2000)
-TA2  - rtems_clock_get - 09:00:00   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:00   12/31/1988
 TA3  - integer base = (0x3000)
-TA3  - rtems_clock_get - 09:00:00   12/31/1988
+TA3  - rtems_clock_get_tod - 09:00:00   12/31/1988
 TA4  - integer base = (0x4000)
 TA4  - float base = (4000.4)
-TA4  - rtems_clock_get - 09:00:00   12/31/1988
-TA4  - rtems_clock_get - 09:00:01   12/31/1988
-TA4  - rtems_clock_get - 09:00:02   12/31/1988
-TA4  - rtems_clock_get - 09:00:03   12/31/1988
-TA4  - rtems_clock_get - 09:00:04   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:00   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:01   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:02   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:03   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:04   12/31/1988
 TA5  - integer base = (0x5000)
 TA5  - float base = (5000.5)
-TA5  - rtems_clock_get - 09:00:04   12/31/1988
-TA1  - rtems_clock_get - 09:00:05   12/31/1988
-TA5  - rtems_clock_get - 09:00:05   12/31/1988
-TA4  - rtems_clock_get - 09:00:05   12/31/1988
-TA5  - rtems_clock_get - 09:00:06   12/31/1988
-TA4  - rtems_clock_get - 09:00:06   12/31/1988
-TA5  - rtems_clock_get - 09:00:07   12/31/1988
-TA4  - rtems_clock_get - 09:00:07   12/31/1988
-TA5  - rtems_clock_get - 09:00:08   12/31/1988
-TA4  - rtems_clock_get - 09:00:08   12/31/1988
-TA5  - rtems_clock_get - 09:00:09   12/31/1988
-TA4  - rtems_clock_get - 09:00:09   12/31/1988
-TA2  - rtems_clock_get - 09:00:10   12/31/1988
-TA1  - rtems_clock_get - 09:00:10   12/31/1988
-TA5  - rtems_clock_get - 09:00:10   12/31/1988
-TA4  - rtems_clock_get - 09:00:10   12/31/1988
-TA5  - rtems_clock_get - 09:00:11   12/31/1988
-TA4  - rtems_clock_get - 09:00:11   12/31/1988
-TA5  - rtems_clock_get - 09:00:12   12/31/1988
-TA4  - rtems_clock_get - 09:00:12   12/31/1988
-TA5  - rtems_clock_get - 09:00:13   12/31/1988
-TA4  - rtems_clock_get - 09:00:13   12/31/1988
-TA5  - rtems_clock_get - 09:00:14   12/31/1988
-TA4  - rtems_clock_get - 09:00:14   12/31/1988
-TA3  - rtems_clock_get - 09:00:15   12/31/1988
-TA1  - rtems_clock_get - 09:00:15   12/31/1988
-TA5  - rtems_clock_get - 09:00:15   12/31/1988
-TA4  - rtems_clock_get - 09:00:15   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:04   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:05   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:05   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:05   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:06   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:06   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:07   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:07   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:08   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:08   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:09   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:09   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:10   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:10   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:10   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:10   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:11   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:11   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:12   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:12   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:13   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:13   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:14   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:14   12/31/1988
+TA3  - rtems_clock_get_tod - 09:00:15   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:15   12/31/1988
+TA5  - rtems_clock_get_tod - 09:00:15   12/31/1988
+TA4  - rtems_clock_get_tod - 09:00:15   12/31/1988
 TA5 - rtems_task_delete - TA3
 *** END OF TEST 19 ***
Index: testsuites/sptests/sp19/task1.c
===================================================================
--- testsuites/sptests/sp19/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp19/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -43,9 +43,9 @@
 
   while( FOREVER ) {
-    status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-    directive_failed( status, "rtems_clock_get" );
+    status = rtems_clock_get_tod( &time );
+    directive_failed( status, "rtems_clock_get_tod" );
 
     put_name( Task_name[ task_number( tid ) ], FALSE );
-    print_time( " - rtems_clock_get - ", &time, "\n" );
+    print_time( " - rtems_clock_get_tod - ", &time, "\n" );
 
     INTEGER_CHECK( INTEGER_factors[ task_index ] );
Index: testsuites/sptests/sp22/prtime.c
===================================================================
--- testsuites/sptests/sp22/prtime.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp22/prtime.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -24,8 +24,8 @@
   rtems_status_code status;
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   put_name( Task_name[ 1 ], FALSE );
-  print_time( "- rtems_clock_get - ", &time, "\n" );
+  print_time( "- rtems_clock_get_tod - ", &time, "\n" );
 }
Index: testsuites/sptests/sp22/sp22.scn
===================================================================
--- testsuites/sptests/sp22/sp22.scn	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp22/sp22.scn	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -4,24 +4,24 @@
 TA1 - rtems_timer_ident - identing timer 1
 TA1 - timer 1 has id (0x12010001)
-TA1 - rtems_clock_get - 09:00:00   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:00   12/31/1988
 TA1 - rtems_timer_fire_after - timer 1 in 3 seconds
 TA1 - rtems_task_suspend( RTEMS_SELF )
-TA1 - rtems_clock_get - 09:00:03   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:03   12/31/1988
 TA1 - rtems_timer_fire_after - timer 1 in 3 seconds
 TA1 - rtems_task_wake_after - 1 second
-TA1 - rtems_clock_get - 09:00:04   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:04   12/31/1988
 TA1 - rtems_timer_reset - timer 1
 TA1 - rtems_task_suspend( RTEMS_SELF )
-TA1 - rtems_clock_get - 09:00:07   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:07   12/31/1988
 <pause>
 TA1 - rtems_timer_fire_after - timer 1 in 3 seconds
 TA1 - rtems_timer_cancel - timer 1
-TA1 - rtems_clock_get - 09:00:07   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:07   12/31/1988
 TA1 - rtems_timer_fire_when - timer 1 in 3 seconds
 TA1 - rtems_task_suspend( RTEMS_SELF )
-TA1 - rtems_clock_get - 09:00:10   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:10   12/31/1988
 TA1 - rtems_timer_fire_when - timer 1 in 3 seconds
 TA1 - rtems_task_wake_after - 1 second
-TA1 - rtems_clock_get - 09:00:11   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:11   12/31/1988
 TA1 - rtems_timer_cancel - timer 1
 TA1 - rtems_task_wake_after - YIELD (only task at priority)
Index: testsuites/sptests/sp22/task1.c
===================================================================
--- testsuites/sptests/sp22/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp22/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -114,6 +114,6 @@
   Print_time();
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   time.second += 3;
@@ -131,6 +131,6 @@
 /* when which is canceled */
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   time.second += 3;
Index: testsuites/sptests/sp24/sp24.scn
===================================================================
--- testsuites/sptests/sp24/sp24.scn	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp24/sp24.scn	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -1,16 +1,16 @@
 *** TEST 24 ***
-TA1  - rtems_clock_get - 09:00:00   12/31/1988
-TA2  - rtems_clock_get - 09:00:00   12/31/1988
-TA3  - rtems_clock_get - 09:00:00   12/31/1988
-TA1  - rtems_clock_get - 09:00:05   12/31/1988
-TA2  - rtems_clock_get - 09:00:10   12/31/1988
-TA1  - rtems_clock_get - 09:00:10   12/31/1988
-TA3  - rtems_clock_get - 09:00:15   12/31/1988
-TA1  - rtems_clock_get - 09:00:15   12/31/1988
-TA2  - rtems_clock_get - 09:00:20   12/31/1988
-TA1  - rtems_clock_get - 09:00:20   12/31/1988
-TA1  - rtems_clock_get - 09:00:25   12/31/1988
-TA3  - rtems_clock_get - 09:00:30   12/31/1988
-TA2  - rtems_clock_get - 09:00:30   12/31/1988
-TA1  - rtems_clock_get - 09:00:30   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:00   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:00   12/31/1988
+TA3  - rtems_clock_get_tod - 09:00:00   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:05   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:10   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:10   12/31/1988
+TA3  - rtems_clock_get_tod - 09:00:15   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:15   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:20   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:20   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:25   12/31/1988
+TA3  - rtems_clock_get_tod - 09:00:30   12/31/1988
+TA2  - rtems_clock_get_tod - 09:00:30   12/31/1988
+TA1  - rtems_clock_get_tod - 09:00:30   12/31/1988
 *** END OF TEST 24 ***
Index: testsuites/sptests/sp24/task1.c
===================================================================
--- testsuites/sptests/sp24/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp24/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -41,6 +41,6 @@
     directive_failed( status, "tm_fire_after failed" );
 
-    status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-    directive_failed( status, "rtems_clock_get failed" );
+    status = rtems_clock_get_tod( &time );
+    directive_failed( status, "rtems_clock_get_tod failed" );
 
     if ( time.second >= 35 ) {
@@ -50,5 +50,5 @@
 
     put_name( Task_name[ task_number( tid ) ], FALSE );
-    print_time( " - rtems_clock_get - ", &time, "\n" );
+    print_time( " - rtems_clock_get_tod - ", &time, "\n" );
 
     status = rtems_task_suspend( RTEMS_SELF );
Index: testsuites/sptests/sp30/task1.c
===================================================================
--- testsuites/sptests/sp30/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp30/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -41,6 +41,6 @@
     directive_failed( status, "rtems_timer_server_fire_after failed" );
 
-    status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-    directive_failed( status, "rtems_clock_get failed" );
+    status = rtems_clock_get_tod( &time );
+    directive_failed( status, "rtems_clock_get_tod failed" );
 
     if ( time.second >= 35 ) {
@@ -50,5 +50,5 @@
 
     put_name( Task_name[ task_number( tid ) - 1 ], FALSE );
-    print_time( " - rtems_clock_get - ", &time, "\n" );
+    print_time( " - rtems_clock_get_tod - ", &time, "\n" );
 
     status = rtems_task_suspend( RTEMS_SELF );
Index: testsuites/sptests/sp31/prtime.c
===================================================================
--- testsuites/sptests/sp31/prtime.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp31/prtime.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -24,8 +24,8 @@
   rtems_status_code status;
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   put_name( Task_name[ 1 ], FALSE );
-  print_time( "- rtems_clock_get - ", &time, "\n" );
+  print_time( "- rtems_clock_get_tod - ", &time, "\n" );
 }
Index: testsuites/sptests/sp31/sp31.scn
===================================================================
--- testsuites/sptests/sp31/sp31.scn	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp31/sp31.scn	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -27,24 +27,24 @@
 TA1 - rtems_timer_cancel - timer 1
 TA1 - rtems_timer_cancel - timer 2
-TA1 - rtems_clock_get - 09:00:02   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:02   12/31/1988
 TA1 - rtems_timer_server_fire_after - timer 1 in 3 seconds
 TA1 - rtems_task_suspend( RTEMS_SELF )
-TA1 - rtems_clock_get - 09:00:05   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:05   12/31/1988
 TA1 - rtems_timer_server_fire_after - timer 1 in 3 seconds
 TA1 - rtems_task_wake_after - 1 second
-TA1 - rtems_clock_get - 09:00:06   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:06   12/31/1988
 TA1 - rtems_timer_reset - timer 1
 TA1 - rtems_task_suspend( RTEMS_SELF )
-TA1 - rtems_clock_get - 09:00:09   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:09   12/31/1988
 <pause>
 TA1 - rtems_timer_server_fire_after - timer 1 in 3 seconds
 TA1 - rtems_timer_cancel - timer 1
-TA1 - rtems_clock_get - 09:00:07   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:07   12/31/1988
 TA1 - rtems_timer_server_fire_when - timer 1 in 3 seconds
 TA1 - rtems_task_suspend( RTEMS_SELF )
-TA1 - rtems_clock_get - 09:00:10   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:10   12/31/1988
 TA1 - rtems_timer_server_fire_when - timer 1 in 3 seconds
 TA1 - rtems_task_wake_after - 1 second
-TA1 - rtems_clock_get - 09:00:11   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:11   12/31/1988
 TA1 - rtems_timer_cancel - timer 1
 TA1 - rtems_task_wake_after - YIELD (only task at priority)
Index: testsuites/sptests/sp31/task1.c
===================================================================
--- testsuites/sptests/sp31/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/sp31/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -230,6 +230,6 @@
   Print_time();
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   time.second += 3;
@@ -247,6 +247,6 @@
 /* when which is canceled */
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   time.second += 3;
Index: testsuites/sptests/spwatchdog/prtime.c
===================================================================
--- testsuites/sptests/spwatchdog/prtime.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/spwatchdog/prtime.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -24,8 +24,8 @@
   rtems_status_code status;
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   put_name( Task_name[ 1 ], FALSE );
-  print_time( "- rtems_clock_get - ", &time, "\n" );
+  print_time( "- rtems_clock_get_tod - ", &time, "\n" );
 }
Index: testsuites/sptests/spwatchdog/spwatchdog.scn
===================================================================
--- testsuites/sptests/spwatchdog/spwatchdog.scn	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/spwatchdog/spwatchdog.scn	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -7,11 +7,11 @@
 TA1 - rtems_timer_ident - identing timer 1
 TA1 - timer 1 has id (0x12010001)
-TA1 - rtems_clock_get - 09:00:00   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:00   12/31/1988
 TA1 - rtems_timer_fire_after - timer 1 in 3 seconds
 TA1 - rtems_task_suspend( RTEMS_SELF )
-TA1 - rtems_clock_get - 09:00:03   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:03   12/31/1988
 TA1 - rtems_timer_fire_after - timer 1 in 3 seconds
 TA1 - rtems_task_wake_after - 1 second
-TA1 - rtems_clock_get - 09:00:04   12/31/1988
+TA1 - rtems_clock_get_tod - 09:00:04   12/31/1988
 TA1 - rtems_timer_reset - timer 1
 Watchdog Chain: _Watchdog_Ticks_chain 202F530
Index: testsuites/sptests/spwatchdog/task1.c
===================================================================
--- testsuites/sptests/spwatchdog/task1.c	(revision da8946a492ec2e4b7a7902be64ae20861350dc99)
+++ testsuites/sptests/spwatchdog/task1.c	(revision bcf16c034de14110506a6d192b943d1864ccdfe4)
@@ -117,6 +117,6 @@
   Print_time();
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   time.second += 3;
@@ -134,6 +134,6 @@
 /* when which is canceled */
 
-  status = rtems_clock_get( RTEMS_CLOCK_GET_TOD, &time );
-  directive_failed( status, "rtems_clock_get" );
+  status = rtems_clock_get_tod( &time );
+  directive_failed( status, "rtems_clock_get_tod" );
 
   time.second += 3;
